// Code generated by MockGen. DO NOT EDIT.
// Source: gitlab.com/tabi/tabi-backend/store (interfaces: Store)

// Package mocks is a generated GoMock package.
package mocks

import (
	gomock "github.com/golang/mock/gomock"
	model "gitlab.com/tabi/tabi-backend/model"
	reflect "reflect"
	time "time"
)

// MockStore is a mock of Store interface
type MockStore struct {
	ctrl     *gomock.Controller
	recorder *MockStoreMockRecorder
}

// MockStoreMockRecorder is the mock recorder for MockStore
type MockStoreMockRecorder struct {
	mock *MockStore
}

// NewMockStore creates a new mock instance
func NewMockStore(ctrl *gomock.Controller) *MockStore {
	mock := &MockStore{ctrl: ctrl}
	mock.recorder = &MockStoreMockRecorder{mock}
	return mock
}

// EXPECT returns an object that allows the caller to indicate expected use
func (m *MockStore) EXPECT() *MockStoreMockRecorder {
	return m.recorder
}

// Close mocks base method
func (m *MockStore) Close() {
	m.ctrl.Call(m, "Close")
}

// Close indicates an expected call of Close
func (mr *MockStoreMockRecorder) Close() *gomock.Call {
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "Close", reflect.TypeOf((*MockStore)(nil).Close))
}

// CreateAccelerometer mocks base method
func (m *MockStore) CreateAccelerometer(arg0 *model.Accelerometer) error {
	ret := m.ctrl.Call(m, "CreateAccelerometer", arg0)
	ret0, _ := ret[0].(error)
	return ret0
}

// CreateAccelerometer indicates an expected call of CreateAccelerometer
func (mr *MockStoreMockRecorder) CreateAccelerometer(arg0 interface{}) *gomock.Call {
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "CreateAccelerometer", reflect.TypeOf((*MockStore)(nil).CreateAccelerometer), arg0)
}

// CreateAccelerometers mocks base method
func (m *MockStore) CreateAccelerometers(arg0 []*model.Accelerometer) error {
	ret := m.ctrl.Call(m, "CreateAccelerometers", arg0)
	ret0, _ := ret[0].(error)
	return ret0
}

// CreateAccelerometers indicates an expected call of CreateAccelerometers
func (mr *MockStoreMockRecorder) CreateAccelerometers(arg0 interface{}) *gomock.Call {
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "CreateAccelerometers", reflect.TypeOf((*MockStore)(nil).CreateAccelerometers), arg0)
}

// CreateAttribute mocks base method
func (m *MockStore) CreateAttribute(arg0 *model.Attribute) error {
	ret := m.ctrl.Call(m, "CreateAttribute", arg0)
	ret0, _ := ret[0].(error)
	return ret0
}

// CreateAttribute indicates an expected call of CreateAttribute
func (mr *MockStoreMockRecorder) CreateAttribute(arg0 interface{}) *gomock.Call {
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "CreateAttribute", reflect.TypeOf((*MockStore)(nil).CreateAttribute), arg0)
}

// CreateBatteryInfo mocks base method
func (m *MockStore) CreateBatteryInfo(arg0 *model.BatteryInfo) error {
	ret := m.ctrl.Call(m, "CreateBatteryInfo", arg0)
	ret0, _ := ret[0].(error)
	return ret0
}

// CreateBatteryInfo indicates an expected call of CreateBatteryInfo
func (mr *MockStoreMockRecorder) CreateBatteryInfo(arg0 interface{}) *gomock.Call {
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "CreateBatteryInfo", reflect.TypeOf((*MockStore)(nil).CreateBatteryInfo), arg0)
}

// CreateBatteryInfos mocks base method
func (m *MockStore) CreateBatteryInfos(arg0 []*model.BatteryInfo) error {
	ret := m.ctrl.Call(m, "CreateBatteryInfos", arg0)
	ret0, _ := ret[0].(error)
	return ret0
}

// CreateBatteryInfos indicates an expected call of CreateBatteryInfos
func (mr *MockStoreMockRecorder) CreateBatteryInfos(arg0 interface{}) *gomock.Call {
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "CreateBatteryInfos", reflect.TypeOf((*MockStore)(nil).CreateBatteryInfos), arg0)
}

// CreateClient mocks base method
func (m *MockStore) CreateClient(arg0 *model.Client) error {
	ret := m.ctrl.Call(m, "CreateClient", arg0)
	ret0, _ := ret[0].(error)
	return ret0
}

// CreateClient indicates an expected call of CreateClient
func (mr *MockStoreMockRecorder) CreateClient(arg0 interface{}) *gomock.Call {
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "CreateClient", reflect.TypeOf((*MockStore)(nil).CreateClient), arg0)
}

// CreateDevice mocks base method
func (m *MockStore) CreateDevice(arg0 *model.Device) error {
	ret := m.ctrl.Call(m, "CreateDevice", arg0)
	ret0, _ := ret[0].(error)
	return ret0
}

// CreateDevice indicates an expected call of CreateDevice
func (mr *MockStoreMockRecorder) CreateDevice(arg0 interface{}) *gomock.Call {
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "CreateDevice", reflect.TypeOf((*MockStore)(nil).CreateDevice), arg0)
}

// CreateEvent mocks base method
func (m *MockStore) CreateEvent(arg0 *model.EventLog) error {
	ret := m.ctrl.Call(m, "CreateEvent", arg0)
	ret0, _ := ret[0].(error)
	return ret0
}

// CreateEvent indicates an expected call of CreateEvent
func (mr *MockStoreMockRecorder) CreateEvent(arg0 interface{}) *gomock.Call {
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "CreateEvent", reflect.TypeOf((*MockStore)(nil).CreateEvent), arg0)
}

// CreateGravities mocks base method
func (m *MockStore) CreateGravities(arg0 []*model.Gravity) error {
	ret := m.ctrl.Call(m, "CreateGravities", arg0)
	ret0, _ := ret[0].(error)
	return ret0
}

// CreateGravities indicates an expected call of CreateGravities
func (mr *MockStoreMockRecorder) CreateGravities(arg0 interface{}) *gomock.Call {
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "CreateGravities", reflect.TypeOf((*MockStore)(nil).CreateGravities), arg0)
}

// CreateGravity mocks base method
func (m *MockStore) CreateGravity(arg0 *model.Gravity) error {
	ret := m.ctrl.Call(m, "CreateGravity", arg0)
	ret0, _ := ret[0].(error)
	return ret0
}

// CreateGravity indicates an expected call of CreateGravity
func (mr *MockStoreMockRecorder) CreateGravity(arg0 interface{}) *gomock.Call {
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "CreateGravity", reflect.TypeOf((*MockStore)(nil).CreateGravity), arg0)
}

// CreateGyroscope mocks base method
func (m *MockStore) CreateGyroscope(arg0 *model.Gyroscope) error {
	ret := m.ctrl.Call(m, "CreateGyroscope", arg0)
	ret0, _ := ret[0].(error)
	return ret0
}

// CreateGyroscope indicates an expected call of CreateGyroscope
func (mr *MockStoreMockRecorder) CreateGyroscope(arg0 interface{}) *gomock.Call {
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "CreateGyroscope", reflect.TypeOf((*MockStore)(nil).CreateGyroscope), arg0)
}

// CreateGyroscopes mocks base method
func (m *MockStore) CreateGyroscopes(arg0 []*model.Gyroscope) error {
	ret := m.ctrl.Call(m, "CreateGyroscopes", arg0)
	ret0, _ := ret[0].(error)
	return ret0
}

// CreateGyroscopes indicates an expected call of CreateGyroscopes
func (mr *MockStoreMockRecorder) CreateGyroscopes(arg0 interface{}) *gomock.Call {
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "CreateGyroscopes", reflect.TypeOf((*MockStore)(nil).CreateGyroscopes), arg0)
}

// CreateLinearAcceleration mocks base method
func (m *MockStore) CreateLinearAcceleration(arg0 *model.LinearAcceleration) error {
	ret := m.ctrl.Call(m, "CreateLinearAcceleration", arg0)
	ret0, _ := ret[0].(error)
	return ret0
}

// CreateLinearAcceleration indicates an expected call of CreateLinearAcceleration
func (mr *MockStoreMockRecorder) CreateLinearAcceleration(arg0 interface{}) *gomock.Call {
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "CreateLinearAcceleration", reflect.TypeOf((*MockStore)(nil).CreateLinearAcceleration), arg0)
}

// CreateLinearAccelerations mocks base method
func (m *MockStore) CreateLinearAccelerations(arg0 []*model.LinearAcceleration) error {
	ret := m.ctrl.Call(m, "CreateLinearAccelerations", arg0)
	ret0, _ := ret[0].(error)
	return ret0
}

// CreateLinearAccelerations indicates an expected call of CreateLinearAccelerations
func (mr *MockStoreMockRecorder) CreateLinearAccelerations(arg0 interface{}) *gomock.Call {
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "CreateLinearAccelerations", reflect.TypeOf((*MockStore)(nil).CreateLinearAccelerations), arg0)
}

// CreateLog mocks base method
func (m *MockStore) CreateLog(arg0 *model.Log) error {
	ret := m.ctrl.Call(m, "CreateLog", arg0)
	ret0, _ := ret[0].(error)
	return ret0
}

// CreateLog indicates an expected call of CreateLog
func (mr *MockStoreMockRecorder) CreateLog(arg0 interface{}) *gomock.Call {
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "CreateLog", reflect.TypeOf((*MockStore)(nil).CreateLog), arg0)
}

// CreateLogs mocks base method
func (m *MockStore) CreateLogs(arg0 []*model.Log) error {
	ret := m.ctrl.Call(m, "CreateLogs", arg0)
	ret0, _ := ret[0].(error)
	return ret0
}

// CreateLogs indicates an expected call of CreateLogs
func (mr *MockStoreMockRecorder) CreateLogs(arg0 interface{}) *gomock.Call {
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "CreateLogs", reflect.TypeOf((*MockStore)(nil).CreateLogs), arg0)
}

// CreateMagnetometer mocks base method
func (m *MockStore) CreateMagnetometer(arg0 *model.Magnetometer) error {
	ret := m.ctrl.Call(m, "CreateMagnetometer", arg0)
	ret0, _ := ret[0].(error)
	return ret0
}

// CreateMagnetometer indicates an expected call of CreateMagnetometer
func (mr *MockStoreMockRecorder) CreateMagnetometer(arg0 interface{}) *gomock.Call {
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "CreateMagnetometer", reflect.TypeOf((*MockStore)(nil).CreateMagnetometer), arg0)
}

// CreateMagnetometers mocks base method
func (m *MockStore) CreateMagnetometers(arg0 []*model.Magnetometer) error {
	ret := m.ctrl.Call(m, "CreateMagnetometers", arg0)
	ret0, _ := ret[0].(error)
	return ret0
}

// CreateMagnetometers indicates an expected call of CreateMagnetometers
func (mr *MockStoreMockRecorder) CreateMagnetometers(arg0 interface{}) *gomock.Call {
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "CreateMagnetometers", reflect.TypeOf((*MockStore)(nil).CreateMagnetometers), arg0)
}

// CreateOrientation mocks base method
func (m *MockStore) CreateOrientation(arg0 *model.Orientation) error {
	ret := m.ctrl.Call(m, "CreateOrientation", arg0)
	ret0, _ := ret[0].(error)
	return ret0
}

// CreateOrientation indicates an expected call of CreateOrientation
func (mr *MockStoreMockRecorder) CreateOrientation(arg0 interface{}) *gomock.Call {
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "CreateOrientation", reflect.TypeOf((*MockStore)(nil).CreateOrientation), arg0)
}

// CreateOrientations mocks base method
func (m *MockStore) CreateOrientations(arg0 []*model.Orientation) error {
	ret := m.ctrl.Call(m, "CreateOrientations", arg0)
	ret0, _ := ret[0].(error)
	return ret0
}

// CreateOrientations indicates an expected call of CreateOrientations
func (mr *MockStoreMockRecorder) CreateOrientations(arg0 interface{}) *gomock.Call {
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "CreateOrientations", reflect.TypeOf((*MockStore)(nil).CreateOrientations), arg0)
}

// CreatePosition mocks base method
func (m *MockStore) CreatePosition(arg0 *model.PositionEntry) error {
	ret := m.ctrl.Call(m, "CreatePosition", arg0)
	ret0, _ := ret[0].(error)
	return ret0
}

// CreatePosition indicates an expected call of CreatePosition
func (mr *MockStoreMockRecorder) CreatePosition(arg0 interface{}) *gomock.Call {
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "CreatePosition", reflect.TypeOf((*MockStore)(nil).CreatePosition), arg0)
}

// CreatePositions mocks base method
func (m *MockStore) CreatePositions(arg0 []*model.PositionEntry) error {
	ret := m.ctrl.Call(m, "CreatePositions", arg0)
	ret0, _ := ret[0].(error)
	return ret0
}

// CreatePositions indicates an expected call of CreatePositions
func (mr *MockStoreMockRecorder) CreatePositions(arg0 interface{}) *gomock.Call {
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "CreatePositions", reflect.TypeOf((*MockStore)(nil).CreatePositions), arg0)
}

// CreateQuaternion mocks base method
func (m *MockStore) CreateQuaternion(arg0 *model.Quaternion) error {
	ret := m.ctrl.Call(m, "CreateQuaternion", arg0)
	ret0, _ := ret[0].(error)
	return ret0
}

// CreateQuaternion indicates an expected call of CreateQuaternion
func (mr *MockStoreMockRecorder) CreateQuaternion(arg0 interface{}) *gomock.Call {
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "CreateQuaternion", reflect.TypeOf((*MockStore)(nil).CreateQuaternion), arg0)
}

// CreateQuaternions mocks base method
func (m *MockStore) CreateQuaternions(arg0 []*model.Quaternion) error {
	ret := m.ctrl.Call(m, "CreateQuaternions", arg0)
	ret0, _ := ret[0].(error)
	return ret0
}

// CreateQuaternions indicates an expected call of CreateQuaternions
func (mr *MockStoreMockRecorder) CreateQuaternions(arg0 interface{}) *gomock.Call {
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "CreateQuaternions", reflect.TypeOf((*MockStore)(nil).CreateQuaternions), arg0)
}

// CreateQuestions mocks base method
func (m *MockStore) CreateQuestions(arg0 []*model.Question) error {
	ret := m.ctrl.Call(m, "CreateQuestions", arg0)
	ret0, _ := ret[0].(error)
	return ret0
}

// CreateQuestions indicates an expected call of CreateQuestions
func (mr *MockStoreMockRecorder) CreateQuestions(arg0 interface{}) *gomock.Call {
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "CreateQuestions", reflect.TypeOf((*MockStore)(nil).CreateQuestions), arg0)
}

// CreateSensorMeasurementSession mocks base method
func (m *MockStore) CreateSensorMeasurementSession(arg0 *model.SensorMeasurementSession) error {
	ret := m.ctrl.Call(m, "CreateSensorMeasurementSession", arg0)
	ret0, _ := ret[0].(error)
	return ret0
}

// CreateSensorMeasurementSession indicates an expected call of CreateSensorMeasurementSession
func (mr *MockStoreMockRecorder) CreateSensorMeasurementSession(arg0 interface{}) *gomock.Call {
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "CreateSensorMeasurementSession", reflect.TypeOf((*MockStore)(nil).CreateSensorMeasurementSession), arg0)
}

// CreateSensorMeasurementSessions mocks base method
func (m *MockStore) CreateSensorMeasurementSessions(arg0 []*model.SensorMeasurementSession) error {
	ret := m.ctrl.Call(m, "CreateSensorMeasurementSessions", arg0)
	ret0, _ := ret[0].(error)
	return ret0
}

// CreateSensorMeasurementSessions indicates an expected call of CreateSensorMeasurementSessions
func (mr *MockStoreMockRecorder) CreateSensorMeasurementSessions(arg0 interface{}) *gomock.Call {
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "CreateSensorMeasurementSessions", reflect.TypeOf((*MockStore)(nil).CreateSensorMeasurementSessions), arg0)
}

// CreateStop mocks base method
func (m *MockStore) CreateStop(arg0 *model.UserStop) error {
	ret := m.ctrl.Call(m, "CreateStop", arg0)
	ret0, _ := ret[0].(error)
	return ret0
}

// CreateStop indicates an expected call of CreateStop
func (mr *MockStoreMockRecorder) CreateStop(arg0 interface{}) *gomock.Call {
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "CreateStop", reflect.TypeOf((*MockStore)(nil).CreateStop), arg0)
}

// CreateStopMotives mocks base method
func (m *MockStore) CreateStopMotives(arg0 []*model.UserStopMotive) error {
	ret := m.ctrl.Call(m, "CreateStopMotives", arg0)
	ret0, _ := ret[0].(error)
	return ret0
}

// CreateStopMotives indicates an expected call of CreateStopMotives
func (mr *MockStoreMockRecorder) CreateStopMotives(arg0 interface{}) *gomock.Call {
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "CreateStopMotives", reflect.TypeOf((*MockStore)(nil).CreateStopMotives), arg0)
}

// CreateStopVisit mocks base method
func (m *MockStore) CreateStopVisit(arg0 *model.UserStopVisit) error {
	ret := m.ctrl.Call(m, "CreateStopVisit", arg0)
	ret0, _ := ret[0].(error)
	return ret0
}

// CreateStopVisit indicates an expected call of CreateStopVisit
func (mr *MockStoreMockRecorder) CreateStopVisit(arg0 interface{}) *gomock.Call {
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "CreateStopVisit", reflect.TypeOf((*MockStore)(nil).CreateStopVisit), arg0)
}

// CreateStopVisits mocks base method
func (m *MockStore) CreateStopVisits(arg0 []*model.UserStopVisit) error {
	ret := m.ctrl.Call(m, "CreateStopVisits", arg0)
	ret0, _ := ret[0].(error)
	return ret0
}

// CreateStopVisits indicates an expected call of CreateStopVisits
func (mr *MockStoreMockRecorder) CreateStopVisits(arg0 interface{}) *gomock.Call {
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "CreateStopVisits", reflect.TypeOf((*MockStore)(nil).CreateStopVisits), arg0)
}

// CreateStops mocks base method
func (m *MockStore) CreateStops(arg0 []*model.UserStop) error {
	ret := m.ctrl.Call(m, "CreateStops", arg0)
	ret0, _ := ret[0].(error)
	return ret0
}

// CreateStops indicates an expected call of CreateStops
func (mr *MockStoreMockRecorder) CreateStops(arg0 interface{}) *gomock.Call {
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "CreateStops", reflect.TypeOf((*MockStore)(nil).CreateStops), arg0)
}

// CreateTrack mocks base method
func (m *MockStore) CreateTrack(arg0 *model.Track) error {
	ret := m.ctrl.Call(m, "CreateTrack", arg0)
	ret0, _ := ret[0].(error)
	return ret0
}

// CreateTrack indicates an expected call of CreateTrack
func (mr *MockStoreMockRecorder) CreateTrack(arg0 interface{}) *gomock.Call {
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "CreateTrack", reflect.TypeOf((*MockStore)(nil).CreateTrack), arg0)
}

// CreateTrackMotives mocks base method
func (m *MockStore) CreateTrackMotives(arg0 []*model.TrackMotive) error {
	ret := m.ctrl.Call(m, "CreateTrackMotives", arg0)
	ret0, _ := ret[0].(error)
	return ret0
}

// CreateTrackMotives indicates an expected call of CreateTrackMotives
func (mr *MockStoreMockRecorder) CreateTrackMotives(arg0 interface{}) *gomock.Call {
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "CreateTrackMotives", reflect.TypeOf((*MockStore)(nil).CreateTrackMotives), arg0)
}

// CreateTracks mocks base method
func (m *MockStore) CreateTracks(arg0 []*model.Track) error {
	ret := m.ctrl.Call(m, "CreateTracks", arg0)
	ret0, _ := ret[0].(error)
	return ret0
}

// CreateTracks indicates an expected call of CreateTracks
func (mr *MockStoreMockRecorder) CreateTracks(arg0 interface{}) *gomock.Call {
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "CreateTracks", reflect.TypeOf((*MockStore)(nil).CreateTracks), arg0)
}

// CreateTransportationMode mocks base method
func (m *MockStore) CreateTransportationMode(arg0 *model.TransportationMode) error {
	ret := m.ctrl.Call(m, "CreateTransportationMode", arg0)
	ret0, _ := ret[0].(error)
	return ret0
}

// CreateTransportationMode indicates an expected call of CreateTransportationMode
func (mr *MockStoreMockRecorder) CreateTransportationMode(arg0 interface{}) *gomock.Call {
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "CreateTransportationMode", reflect.TypeOf((*MockStore)(nil).CreateTransportationMode), arg0)
}

// CreateTransportationModes mocks base method
func (m *MockStore) CreateTransportationModes(arg0 []*model.TransportationMode) error {
	ret := m.ctrl.Call(m, "CreateTransportationModes", arg0)
	ret0, _ := ret[0].(error)
	return ret0
}

// CreateTransportationModes indicates an expected call of CreateTransportationModes
func (mr *MockStoreMockRecorder) CreateTransportationModes(arg0 interface{}) *gomock.Call {
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "CreateTransportationModes", reflect.TypeOf((*MockStore)(nil).CreateTransportationModes), arg0)
}

// CreateUser mocks base method
func (m *MockStore) CreateUser(arg0 *model.User) error {
	ret := m.ctrl.Call(m, "CreateUser", arg0)
	ret0, _ := ret[0].(error)
	return ret0
}

// CreateUser indicates an expected call of CreateUser
func (mr *MockStoreMockRecorder) CreateUser(arg0 interface{}) *gomock.Call {
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "CreateUser", reflect.TypeOf((*MockStore)(nil).CreateUser), arg0)
}

// CreateUserDeviceConfig mocks base method
func (m *MockStore) CreateUserDeviceConfig(arg0 *model.UserDeviceConfig) error {
	ret := m.ctrl.Call(m, "CreateUserDeviceConfig", arg0)
	ret0, _ := ret[0].(error)
	return ret0
}

// CreateUserDeviceConfig indicates an expected call of CreateUserDeviceConfig
func (mr *MockStoreMockRecorder) CreateUserDeviceConfig(arg0 interface{}) *gomock.Call {
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "CreateUserDeviceConfig", reflect.TypeOf((*MockStore)(nil).CreateUserDeviceConfig), arg0)
}

// GetAccelerometers mocks base method
func (m *MockStore) GetAccelerometers(arg0 uint, arg1, arg2 time.Time) ([]*model.Accelerometer, error) {
	ret := m.ctrl.Call(m, "GetAccelerometers", arg0, arg1, arg2)
	ret0, _ := ret[0].([]*model.Accelerometer)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// GetAccelerometers indicates an expected call of GetAccelerometers
func (mr *MockStoreMockRecorder) GetAccelerometers(arg0, arg1, arg2 interface{}) *gomock.Call {
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "GetAccelerometers", reflect.TypeOf((*MockStore)(nil).GetAccelerometers), arg0, arg1, arg2)
}

// GetAttribute mocks base method
func (m *MockStore) GetAttribute(arg0 uint, arg1 string) (*model.Attribute, error) {
	ret := m.ctrl.Call(m, "GetAttribute", arg0, arg1)
	ret0, _ := ret[0].(*model.Attribute)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// GetAttribute indicates an expected call of GetAttribute
func (mr *MockStoreMockRecorder) GetAttribute(arg0, arg1 interface{}) *gomock.Call {
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "GetAttribute", reflect.TypeOf((*MockStore)(nil).GetAttribute), arg0, arg1)
}

// GetAttributeList mocks base method
func (m *MockStore) GetAttributeList(arg0 uint) ([]*model.Attribute, error) {
	ret := m.ctrl.Call(m, "GetAttributeList", arg0)
	ret0, _ := ret[0].([]*model.Attribute)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// GetAttributeList indicates an expected call of GetAttributeList
func (mr *MockStoreMockRecorder) GetAttributeList(arg0 interface{}) *gomock.Call {
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "GetAttributeList", reflect.TypeOf((*MockStore)(nil).GetAttributeList), arg0)
}

// GetBatteryInfos mocks base method
func (m *MockStore) GetBatteryInfos(arg0 uint, arg1, arg2 time.Time) ([]*model.BatteryInfo, error) {
	ret := m.ctrl.Call(m, "GetBatteryInfos", arg0, arg1, arg2)
	ret0, _ := ret[0].([]*model.BatteryInfo)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// GetBatteryInfos indicates an expected call of GetBatteryInfos
func (mr *MockStoreMockRecorder) GetBatteryInfos(arg0, arg1, arg2 interface{}) *gomock.Call {
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "GetBatteryInfos", reflect.TypeOf((*MockStore)(nil).GetBatteryInfos), arg0, arg1, arg2)
}

// GetClient mocks base method
func (m *MockStore) GetClient(arg0 string) (*model.Client, error) {
	ret := m.ctrl.Call(m, "GetClient", arg0)
	ret0, _ := ret[0].(*model.Client)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// GetClient indicates an expected call of GetClient
func (mr *MockStoreMockRecorder) GetClient(arg0 interface{}) *gomock.Call {
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "GetClient", reflect.TypeOf((*MockStore)(nil).GetClient), arg0)
}

// GetConfigByUserId mocks base method
func (m *MockStore) GetConfigByUserId(arg0 uint) (*model.UserDeviceConfig, error) {
	ret := m.ctrl.Call(m, "GetConfigByUserId", arg0)
	ret0, _ := ret[0].(*model.UserDeviceConfig)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// GetConfigByUserId indicates an expected call of GetConfigByUserId
func (mr *MockStoreMockRecorder) GetConfigByUserId(arg0 interface{}) *gomock.Call {
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "GetConfigByUserId", reflect.TypeOf((*MockStore)(nil).GetConfigByUserId), arg0)
}

// GetDevice mocks base method
func (m *MockStore) GetDevice(arg0 uint) (*model.Device, error) {
	ret := m.ctrl.Call(m, "GetDevice", arg0)
	ret0, _ := ret[0].(*model.Device)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// GetDevice indicates an expected call of GetDevice
func (mr *MockStoreMockRecorder) GetDevice(arg0 interface{}) *gomock.Call {
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "GetDevice", reflect.TypeOf((*MockStore)(nil).GetDevice), arg0)
}

// GetDevices mocks base method
func (m *MockStore) GetDevices() ([]*model.Device, error) {
	ret := m.ctrl.Call(m, "GetDevices")
	ret0, _ := ret[0].([]*model.Device)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// GetDevices indicates an expected call of GetDevices
func (mr *MockStoreMockRecorder) GetDevices() *gomock.Call {
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "GetDevices", reflect.TypeOf((*MockStore)(nil).GetDevices))
}

// GetDevicesByUserId mocks base method
func (m *MockStore) GetDevicesByUserId(arg0 uint) ([]*model.Device, error) {
	ret := m.ctrl.Call(m, "GetDevicesByUserId", arg0)
	ret0, _ := ret[0].([]*model.Device)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// GetDevicesByUserId indicates an expected call of GetDevicesByUserId
func (mr *MockStoreMockRecorder) GetDevicesByUserId(arg0 interface{}) *gomock.Call {
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "GetDevicesByUserId", reflect.TypeOf((*MockStore)(nil).GetDevicesByUserId), arg0)
}

// GetGravities mocks base method
func (m *MockStore) GetGravities(arg0 uint, arg1, arg2 time.Time) ([]*model.Gravity, error) {
	ret := m.ctrl.Call(m, "GetGravities", arg0, arg1, arg2)
	ret0, _ := ret[0].([]*model.Gravity)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// GetGravities indicates an expected call of GetGravities
func (mr *MockStoreMockRecorder) GetGravities(arg0, arg1, arg2 interface{}) *gomock.Call {
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "GetGravities", reflect.TypeOf((*MockStore)(nil).GetGravities), arg0, arg1, arg2)
}

// GetGyroscopes mocks base method
func (m *MockStore) GetGyroscopes(arg0 uint, arg1, arg2 time.Time) ([]*model.Gyroscope, error) {
	ret := m.ctrl.Call(m, "GetGyroscopes", arg0, arg1, arg2)
	ret0, _ := ret[0].([]*model.Gyroscope)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// GetGyroscopes indicates an expected call of GetGyroscopes
func (mr *MockStoreMockRecorder) GetGyroscopes(arg0, arg1, arg2 interface{}) *gomock.Call {
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "GetGyroscopes", reflect.TypeOf((*MockStore)(nil).GetGyroscopes), arg0, arg1, arg2)
}

// GetLinearAccelerations mocks base method
func (m *MockStore) GetLinearAccelerations(arg0 uint, arg1, arg2 time.Time) ([]*model.LinearAcceleration, error) {
	ret := m.ctrl.Call(m, "GetLinearAccelerations", arg0, arg1, arg2)
	ret0, _ := ret[0].([]*model.LinearAcceleration)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// GetLinearAccelerations indicates an expected call of GetLinearAccelerations
func (mr *MockStoreMockRecorder) GetLinearAccelerations(arg0, arg1, arg2 interface{}) *gomock.Call {
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "GetLinearAccelerations", reflect.TypeOf((*MockStore)(nil).GetLinearAccelerations), arg0, arg1, arg2)
}

// GetLogs mocks base method
func (m *MockStore) GetLogs(arg0 uint, arg1, arg2 time.Time) ([]*model.Log, error) {
	ret := m.ctrl.Call(m, "GetLogs", arg0, arg1, arg2)
	ret0, _ := ret[0].([]*model.Log)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// GetLogs indicates an expected call of GetLogs
func (mr *MockStoreMockRecorder) GetLogs(arg0, arg1, arg2 interface{}) *gomock.Call {
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "GetLogs", reflect.TypeOf((*MockStore)(nil).GetLogs), arg0, arg1, arg2)
}

// GetMagnetometers mocks base method
func (m *MockStore) GetMagnetometers(arg0 uint, arg1, arg2 time.Time) ([]*model.Magnetometer, error) {
	ret := m.ctrl.Call(m, "GetMagnetometers", arg0, arg1, arg2)
	ret0, _ := ret[0].([]*model.Magnetometer)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// GetMagnetometers indicates an expected call of GetMagnetometers
func (mr *MockStoreMockRecorder) GetMagnetometers(arg0, arg1, arg2 interface{}) *gomock.Call {
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "GetMagnetometers", reflect.TypeOf((*MockStore)(nil).GetMagnetometers), arg0, arg1, arg2)
}

// GetOrientations mocks base method
func (m *MockStore) GetOrientations(arg0 uint, arg1, arg2 time.Time) ([]*model.Orientation, error) {
	ret := m.ctrl.Call(m, "GetOrientations", arg0, arg1, arg2)
	ret0, _ := ret[0].([]*model.Orientation)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// GetOrientations indicates an expected call of GetOrientations
func (mr *MockStoreMockRecorder) GetOrientations(arg0, arg1, arg2 interface{}) *gomock.Call {
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "GetOrientations", reflect.TypeOf((*MockStore)(nil).GetOrientations), arg0, arg1, arg2)
}

// GetPositions mocks base method
func (m *MockStore) GetPositions(arg0 uint, arg1, arg2 time.Time) ([]*model.PositionEntry, error) {
	ret := m.ctrl.Call(m, "GetPositions", arg0, arg1, arg2)
	ret0, _ := ret[0].([]*model.PositionEntry)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// GetPositions indicates an expected call of GetPositions
func (mr *MockStoreMockRecorder) GetPositions(arg0, arg1, arg2 interface{}) *gomock.Call {
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "GetPositions", reflect.TypeOf((*MockStore)(nil).GetPositions), arg0, arg1, arg2)
}

// GetQuaternions mocks base method
func (m *MockStore) GetQuaternions(arg0 uint, arg1, arg2 time.Time) ([]*model.Quaternion, error) {
	ret := m.ctrl.Call(m, "GetQuaternions", arg0, arg1, arg2)
	ret0, _ := ret[0].([]*model.Quaternion)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// GetQuaternions indicates an expected call of GetQuaternions
func (mr *MockStoreMockRecorder) GetQuaternions(arg0, arg1, arg2 interface{}) *gomock.Call {
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "GetQuaternions", reflect.TypeOf((*MockStore)(nil).GetQuaternions), arg0, arg1, arg2)
}

// GetSensorMeasurementSessions mocks base method
func (m *MockStore) GetSensorMeasurementSessions(arg0 uint, arg1, arg2 time.Time) ([]*model.SensorMeasurementSession, error) {
	ret := m.ctrl.Call(m, "GetSensorMeasurementSessions", arg0, arg1, arg2)
	ret0, _ := ret[0].([]*model.SensorMeasurementSession)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// GetSensorMeasurementSessions indicates an expected call of GetSensorMeasurementSessions
func (mr *MockStoreMockRecorder) GetSensorMeasurementSessions(arg0, arg1, arg2 interface{}) *gomock.Call {
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "GetSensorMeasurementSessions", reflect.TypeOf((*MockStore)(nil).GetSensorMeasurementSessions), arg0, arg1, arg2)
}

// GetStop mocks base method
func (m *MockStore) GetStop(arg0 uint) (*model.UserStop, error) {
	ret := m.ctrl.Call(m, "GetStop", arg0)
	ret0, _ := ret[0].(*model.UserStop)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// GetStop indicates an expected call of GetStop
func (mr *MockStoreMockRecorder) GetStop(arg0 interface{}) *gomock.Call {
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "GetStop", reflect.TypeOf((*MockStore)(nil).GetStop), arg0)
}

// GetStopByDeviceAndLocalId mocks base method
func (m *MockStore) GetStopByDeviceAndLocalId(arg0, arg1 uint) (*model.UserStop, error) {
	ret := m.ctrl.Call(m, "GetStopByDeviceAndLocalId", arg0, arg1)
	ret0, _ := ret[0].(*model.UserStop)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// GetStopByDeviceAndLocalId indicates an expected call of GetStopByDeviceAndLocalId
func (mr *MockStoreMockRecorder) GetStopByDeviceAndLocalId(arg0, arg1 interface{}) *gomock.Call {
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "GetStopByDeviceAndLocalId", reflect.TypeOf((*MockStore)(nil).GetStopByDeviceAndLocalId), arg0, arg1)
}

// GetStopVisit mocks base method
func (m *MockStore) GetStopVisit(arg0 uint) (*model.UserStopVisit, error) {
	ret := m.ctrl.Call(m, "GetStopVisit", arg0)
	ret0, _ := ret[0].(*model.UserStopVisit)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// GetStopVisit indicates an expected call of GetStopVisit
func (mr *MockStoreMockRecorder) GetStopVisit(arg0 interface{}) *gomock.Call {
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "GetStopVisit", reflect.TypeOf((*MockStore)(nil).GetStopVisit), arg0)
}

// GetStopVisitByDeviceAndLocalId mocks base method
func (m *MockStore) GetStopVisitByDeviceAndLocalId(arg0, arg1 uint) (*model.UserStopVisit, error) {
	ret := m.ctrl.Call(m, "GetStopVisitByDeviceAndLocalId", arg0, arg1)
	ret0, _ := ret[0].(*model.UserStopVisit)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// GetStopVisitByDeviceAndLocalId indicates an expected call of GetStopVisitByDeviceAndLocalId
func (mr *MockStoreMockRecorder) GetStopVisitByDeviceAndLocalId(arg0, arg1 interface{}) *gomock.Call {
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "GetStopVisitByDeviceAndLocalId", reflect.TypeOf((*MockStore)(nil).GetStopVisitByDeviceAndLocalId), arg0, arg1)
}

// GetStopVisitsByDevice mocks base method
func (m *MockStore) GetStopVisitsByDevice(arg0 uint, arg1, arg2 time.Time) ([]*model.UserStopVisit, error) {
	ret := m.ctrl.Call(m, "GetStopVisitsByDevice", arg0, arg1, arg2)
	ret0, _ := ret[0].([]*model.UserStopVisit)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// GetStopVisitsByDevice indicates an expected call of GetStopVisitsByDevice
func (mr *MockStoreMockRecorder) GetStopVisitsByDevice(arg0, arg1, arg2 interface{}) *gomock.Call {
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "GetStopVisitsByDevice", reflect.TypeOf((*MockStore)(nil).GetStopVisitsByDevice), arg0, arg1, arg2)
}

// GetStopsByDevice mocks base method
func (m *MockStore) GetStopsByDevice(arg0 uint) ([]*model.UserStop, error) {
	ret := m.ctrl.Call(m, "GetStopsByDevice", arg0)
	ret0, _ := ret[0].([]*model.UserStop)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// GetStopsByDevice indicates an expected call of GetStopsByDevice
func (mr *MockStoreMockRecorder) GetStopsByDevice(arg0 interface{}) *gomock.Call {
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "GetStopsByDevice", reflect.TypeOf((*MockStore)(nil).GetStopsByDevice), arg0)
}

// GetTokenGeneratedUniqueEvents mocks base method
func (m *MockStore) GetTokenGeneratedUniqueEvents() ([]*model.EventLog, error) {
	ret := m.ctrl.Call(m, "GetTokenGeneratedUniqueEvents")
	ret0, _ := ret[0].([]*model.EventLog)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// GetTokenGeneratedUniqueEvents indicates an expected call of GetTokenGeneratedUniqueEvents
func (mr *MockStoreMockRecorder) GetTokenGeneratedUniqueEvents() *gomock.Call {
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "GetTokenGeneratedUniqueEvents", reflect.TypeOf((*MockStore)(nil).GetTokenGeneratedUniqueEvents))
}

// GetTrack mocks base method
func (m *MockStore) GetTrack(arg0 uint) (*model.Track, error) {
	ret := m.ctrl.Call(m, "GetTrack", arg0)
	ret0, _ := ret[0].(*model.Track)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// GetTrack indicates an expected call of GetTrack
func (mr *MockStoreMockRecorder) GetTrack(arg0 interface{}) *gomock.Call {
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "GetTrack", reflect.TypeOf((*MockStore)(nil).GetTrack), arg0)
}

// GetTrackByDeviceAndLocalId mocks base method
func (m *MockStore) GetTrackByDeviceAndLocalId(arg0, arg1 uint) (*model.Track, error) {
	ret := m.ctrl.Call(m, "GetTrackByDeviceAndLocalId", arg0, arg1)
	ret0, _ := ret[0].(*model.Track)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// GetTrackByDeviceAndLocalId indicates an expected call of GetTrackByDeviceAndLocalId
func (mr *MockStoreMockRecorder) GetTrackByDeviceAndLocalId(arg0, arg1 interface{}) *gomock.Call {
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "GetTrackByDeviceAndLocalId", reflect.TypeOf((*MockStore)(nil).GetTrackByDeviceAndLocalId), arg0, arg1)
}

// GetTracks mocks base method
func (m *MockStore) GetTracks(arg0 uint, arg1, arg2 time.Time) ([]*model.Track, error) {
	ret := m.ctrl.Call(m, "GetTracks", arg0, arg1, arg2)
	ret0, _ := ret[0].([]*model.Track)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// GetTracks indicates an expected call of GetTracks
func (mr *MockStoreMockRecorder) GetTracks(arg0, arg1, arg2 interface{}) *gomock.Call {
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "GetTracks", reflect.TypeOf((*MockStore)(nil).GetTracks), arg0, arg1, arg2)
}

// GetTransportationMode mocks base method
func (m *MockStore) GetTransportationMode(arg0 uint) (*model.TransportationMode, error) {
	ret := m.ctrl.Call(m, "GetTransportationMode", arg0)
	ret0, _ := ret[0].(*model.TransportationMode)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// GetTransportationMode indicates an expected call of GetTransportationMode
func (mr *MockStoreMockRecorder) GetTransportationMode(arg0 interface{}) *gomock.Call {
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "GetTransportationMode", reflect.TypeOf((*MockStore)(nil).GetTransportationMode), arg0)
}

// GetUser mocks base method
func (m *MockStore) GetUser(arg0 uint) (*model.User, error) {
	ret := m.ctrl.Call(m, "GetUser", arg0)
	ret0, _ := ret[0].(*model.User)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// GetUser indicates an expected call of GetUser
func (mr *MockStoreMockRecorder) GetUser(arg0 interface{}) *gomock.Call {
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "GetUser", reflect.TypeOf((*MockStore)(nil).GetUser), arg0)
}

// GetUserByUsername mocks base method
func (m *MockStore) GetUserByUsername(arg0 string) (*model.User, error) {
	ret := m.ctrl.Call(m, "GetUserByUsername", arg0)
	ret0, _ := ret[0].(*model.User)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// GetUserByUsername indicates an expected call of GetUserByUsername
func (mr *MockStoreMockRecorder) GetUserByUsername(arg0 interface{}) *gomock.Call {
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "GetUserByUsername", reflect.TypeOf((*MockStore)(nil).GetUserByUsername), arg0)
}

// GetUserList mocks base method
func (m *MockStore) GetUserList() ([]*model.User, error) {
	ret := m.ctrl.Call(m, "GetUserList")
	ret0, _ := ret[0].([]*model.User)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// GetUserList indicates an expected call of GetUserList
func (mr *MockStoreMockRecorder) GetUserList() *gomock.Call {
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "GetUserList", reflect.TypeOf((*MockStore)(nil).GetUserList))
}

// UpdateClient mocks base method
func (m *MockStore) UpdateClient(arg0 *model.Client) error {
	ret := m.ctrl.Call(m, "UpdateClient", arg0)
	ret0, _ := ret[0].(error)
	return ret0
}

// UpdateClient indicates an expected call of UpdateClient
func (mr *MockStoreMockRecorder) UpdateClient(arg0 interface{}) *gomock.Call {
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "UpdateClient", reflect.TypeOf((*MockStore)(nil).UpdateClient), arg0)
}

// UpdateDevice mocks base method
func (m *MockStore) UpdateDevice(arg0 *model.Device) error {
	ret := m.ctrl.Call(m, "UpdateDevice", arg0)
	ret0, _ := ret[0].(error)
	return ret0
}

// UpdateDevice indicates an expected call of UpdateDevice
func (mr *MockStoreMockRecorder) UpdateDevice(arg0 interface{}) *gomock.Call {
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "UpdateDevice", reflect.TypeOf((*MockStore)(nil).UpdateDevice), arg0)
}

// UpdateStop mocks base method
func (m *MockStore) UpdateStop(arg0 *model.UserStop) error {
	ret := m.ctrl.Call(m, "UpdateStop", arg0)
	ret0, _ := ret[0].(error)
	return ret0
}

// UpdateStop indicates an expected call of UpdateStop
func (mr *MockStoreMockRecorder) UpdateStop(arg0 interface{}) *gomock.Call {
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "UpdateStop", reflect.TypeOf((*MockStore)(nil).UpdateStop), arg0)
}

// UpdateUser mocks base method
func (m *MockStore) UpdateUser(arg0 *model.User) error {
	ret := m.ctrl.Call(m, "UpdateUser", arg0)
	ret0, _ := ret[0].(error)
	return ret0
}

// UpdateUser indicates an expected call of UpdateUser
func (mr *MockStoreMockRecorder) UpdateUser(arg0 interface{}) *gomock.Call {
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "UpdateUser", reflect.TypeOf((*MockStore)(nil).UpdateUser), arg0)
}
